<?php

namespace Litecms\Search\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind ProductCustomSearchresult workflow validator
        'Litecms\Search\Models\ProductCustomSearchresult' => \Litecms\Search\Workflow\ProductCustomSearchresultValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind ProductCustomSearchresult workflow actions
        'Litecms\Search\Models\ProductCustomSearchresult' => \Litecms\Search\Workflow\ProductCustomSearchresultAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind ProductCustomSearchresult workflow notifiers
        'Litecms\Search\Models\ProductCustomSearchresult' => \Litecms\Search\Workflow\ProductCustomSearchresultNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
