<?php

namespace Litecms\Search;

use User;

class Search
{
    /**
     * $product_custom_searchresult object.
     */
    protected $product_custom_searchresult;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Search\Interfaces\ProductCustomSearchresultRepositoryInterface $product_custom_searchresult)
    {
        $this->product_custom_searchresult = $product_custom_searchresult;
    }

    /**
     * Returns count of search.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.product_custom_searchresult.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->product_custom_searchresult->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ProductCustomSearchresultUserCriteria());
        }

        $product_custom_searchresult = $this->product_custom_searchresult->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('search::' . $view, compact('product_custom_searchresult'))->render();
    }
}
