<?php

namespace Litecms\Search\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Litecms\Search\Models\ProductCustomSearchresult;

class ProductCustomSearchresultAction
{
    /**
     * Perform the complete action.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return ProductCustomSearchresult
     */
    public function complete(ProductCustomSearchresult $product_custom_searchresult)
    {
        try {
            $product_custom_searchresult->status = 'complete';
            return $product_custom_searchresult->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return ProductCustomSearchresult
     */public function verify(ProductCustomSearchresult $product_custom_searchresult)
    {
        try {
            $product_custom_searchresult->status = 'verify';
            return $product_custom_searchresult->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return ProductCustomSearchresult
     */public function approve(ProductCustomSearchresult $product_custom_searchresult)
    {
        try {
            $product_custom_searchresult->status = 'approve';
            return $product_custom_searchresult->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return ProductCustomSearchresult
     */public function publish(ProductCustomSearchresult $product_custom_searchresult)
    {
        try {
            $product_custom_searchresult->status = 'publish';
            return $product_custom_searchresult->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return ProductCustomSearchresult
     */
    public function archive(ProductCustomSearchresult $product_custom_searchresult)
    {
        try {
            $product_custom_searchresult->status = 'archive';
            return $product_custom_searchresult->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return ProductCustomSearchresult
     */
    public function unpublish(ProductCustomSearchresult $product_custom_searchresult)
    {
        try {
            $product_custom_searchresult->status = 'unpublish';
            return $product_custom_searchresult->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
