<?php

namespace Litecms\Search\Workflow;

use Litecms\Search\Models\ProductCustomSearchresult;
use Litecms\Search\Notifications\ProductCustomSearchresultWorkflow as ProductCustomSearchresultNotifyer;
use Notification;

class ProductCustomSearchresultNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return void
     */
    public function complete(ProductCustomSearchresult $product_custom_searchresult)
    {
        return Notification::send($product_custom_searchresult->user, new ProductCustomSearchresultNotifyer($product_custom_searchresult, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return void
     */
    public function verify(ProductCustomSearchresult $product_custom_searchresult)
    {
        return Notification::send($product_custom_searchresult->user, new ProductCustomSearchresultNotifyer($product_custom_searchresult, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return void
     */
    public function approve(ProductCustomSearchresult $product_custom_searchresult)
    {
        return Notification::send($product_custom_searchresult->user, new ProductCustomSearchresultNotifyer($product_custom_searchresult, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return void
     */
    public function publish(ProductCustomSearchresult $product_custom_searchresult)
    {
        return Notification::send($product_custom_searchresult->user, new ProductCustomSearchresultNotifyer($product_custom_searchresult, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return void
     */
    public function archive(ProductCustomSearchresult $product_custom_searchresult)
    {
        return Notification::send($product_custom_searchresult->user, new ProductCustomSearchresultNotifyer($product_custom_searchresult, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ProductCustomSearchresult $product_custom_searchresult
     *
     * @return void
     */
    public function unpublish(ProductCustomSearchresult $product_custom_searchresult)
    {
        return Notification::send($product_custom_searchresult->user, new ProductCustomSearchresultNotifyer($product_custom_searchresult, 'unpublish'));;

    }
}
